function::target
Prev | Chapter 2. Context Functions | Next

## Name

function::target — Return the process ID of the target process

## Synopsis

        target:long()

## Arguments

None

## Description

This function returns the process ID of the target process. This is useful in conjunction with the -x PID or -c CMD command-line options to stap. An example of its use is to create scripts that filter on a specific process.

-x <pid> `target` returns the pid specified by -x

-c <command> `target` returns the pid for the executed command specified by -c

Prev | Up | Next
function::symname | Home | function::task_ancestry